#ifndef SONG_H
#define SONG_H
#include <Arduino.h>

class Song {
  public:
    Song(int laenge, String* notes, int* beats, int tempo); //Konstruktor
    void play();                                            //spielt den Song ab
    void playTone(int sound, int duration);                 //spielt genau spezifizierten Ton
    void playNote(String note, int duration);               //spielt den Ton, der dem Notennamen entspricht

    int laenge;       //Anzahl der Noten
    String* notes;     //Tonhöhe
    int* beats;        //Länge der Töne
    int tempo;         //Geschwindigkeit des Liedes
    static const int speakerPin = 3;    //Variable für den speakerPin
};

#endif

